> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/reference/apis/shipment-shipped.md).

# Shipment Shipped

## Shipment Shipped

This event is triggered when an order shipment has shipped.

## Properties

| **Name**       | **Type** | **Description**                                   | **Required** |
| -------------- | -------- | ------------------------------------------------- | ------------ |
| `currency`     | `string` | ISO currency code of the transaction (e.g. `USD`) | Yes          |
| `email`        | `string` | Email address associated with the order           | No           |
| `first_name`   | `string` | Customer's first name                             | No           |
| `last_name`    | `string` | Customer's last name                              | No           |
| `order_date`   | `date`   | Date and time the order was placed                | Yes          |
| `order_number` | `string` | Order ID or number                                | Yes          |
| `shipment`     | `object` | Products in the order                             | Yes          |

### Shipment

| **Name**                | **Type**   | **Description**                                                                            | **Required** |
| ----------------------- | ---------- | ------------------------------------------------------------------------------------------ | ------------ |
| `tracking`              | `string`   | Tracking code of the shipment                                                              | No           |
| `carrier`               | `string`   | Name of the carrier fulfilling the shipment                                                | No           |
| `number`                | `string`   | Shipment ID/number                                                                         | Yes          |
| `cost`                  | `number`   | Shipment cost                                                                              | No           |
| `adjustment_total`      | `number`   | Total of all adjustments/discounts of the shipment                                         | No           |
| `additional_tax_total`  | `number`   |                                                                                            | No           |
| `promo_total`           | `number`   | Total of all promotions of the shipment                                                    | No           |
| `included_tax_total`    | `number`   |                                                                                            | No           |
| `pushed`                | `string`   | Indicates if the shipment record has been sent to the warehouse/fulfillment centre/carrier | No           |
| `fulfilled_by`          | `string`   | ISO date when the shipment was fulfilled/pushed                                            | No           |
| `tracking_detail`       | `string`   | Additional tracking information                                                            | No           |
| `external_tracking_url` | `string`   | URL for customer to tracking shipping status                                               | No           |
| `label_url`             | `string`   | URL of electronically generated label                                                      | No           |
| `products`              | `object[]` | Products/inventory in the shipment                                                         | No           |
| `address`               | `object`   | Shipping address                                                                           | No           |

### Products array

| **Name**       | **Type** | **Description**                                                                          | **Required** |
| -------------- | -------- | ---------------------------------------------------------------------------------------- | ------------ |
| `affiliation`  | `string` | Store or affiliation from which this transaction occurred (for example, "Google Store"). | No           |
| `brand`        | `string` | Brand associated with the product                                                        | No           |
| `line_item_id` | `string` | ID of the line item in the database                                                      | No           |
| `name`         | `string` | Name of the product                                                                      | Yes          |
| `position`     | `number` | Position in the product list                                                             | No           |
| `price`        | `number` | Price of the product                                                                     | Yes          |
| `product_id`   | `string` | ID of the product in the database                                                        | Yes          |
| `quantity`     | `number` | The quantity of products purchased in this line item                                     | Yes          |
| `revenue`      | `number` | Revenue ($) associated with this line item (excluding shipping and tax)                  | Yes          |
| `sku`          | `string` | SKU of the variant                                                                       | Yes          |
| `variant_name` | `string` | Name of the variant                                                                      | No           |
| `variant_id`   | `string` | ID of the variant in the database                                                        | No           |

### Address

| **Name**            | **Type** | **Description**                                          | **Required** |
| ------------------- | -------- | -------------------------------------------------------- | ------------ |
| `address1`          | `string` | The street address of the customer                       | No           |
| `address2`          | `string` | Additional street address of the customer (if necessary) | No           |
| `alternative_phone` | `string` | Customer's alternative phone number                      | No           |
| `phone`             | `string` | Customer's phone number                                  | No           |
| `city`              | `string` | City of the shipping address                             | No           |
| `company`           | `string` | Name of the company, if applicable                       | No           |
| `country`           | `string` | ISO country code for the shipping address                | No           |
| `name`              | `string` | Customer name                                            | No           |
| `state_name`        | `string` | ISO state code for the shipping address                  | No           |
| `zipcode`           | `string` | Zip or postal code for the shipping address              | No           |

## Sample payload

```json
{
  "type": "track",
  "event": "Shipment Shipped",
  "properties": {
    "currency": "USD",
    "email": "test@example.com",
    "order_number": "O1234567890",
    "first_name": "John",
    "last_name": "Doe",
    "shipment": {
      "tracking": "T1234567890",
      "carrier": "UPS",
      "number": "H1234567890",
      "cost": 9.99,
      "state": "ready",
      "adjustment_total": 9.99,
      "additional_tax_total": 9.99,
      "promo_total": 9.99,
      "included_tax_total": 9.99,
      "pushed": "true",
      "fulfilled_by": "2026-01-01T00:00:00.000Z",
      "tracking_detail": null,
      "external_tracking_url": null,
      "label_url": null,
      "products": [
        {
          "affiliation": "Affiliation",
          "brand": "Brand",
          "line_item_id": "16207084552295",
          "name": "Product Name",
          "position": 1,
          "price": 219,
          "product_id": "7036464939671",
          "quantity": 1,
          "revenue": 219,
          "sku": "SKU123",
          "variant": "Variant Name",
          "variant_id": "40952658057847"
        }
      ],
      "address": {
        "name": "John Doe",
        "address1": "123 Fake St",
        "address2": null,
        "city": "Oak Lawn",
        "zipcode": "60532",
        "phone": "1234567890",
        "state_name": "IL",
        "company": null
      }
    }
  }
}
```

## Example

```bash
curl https://production.cdp.ingest.chord.co/api/track \
--header "Content-Type: application/json" \
--header "X-Write-Key: $CDP_WRITE_KEY" \
--data-raw '
{
  "type": "track",
  "event": "Shipment Shipped",
  "properties": {
    "currency": "USD",
    "email": "test@example.com",
    "order_number": "O1234567890",
    "first_name": "John",
    "last_name": "Doe",
    "shipment": {
      "tracking": "T1234567890",
      "carrier": "UPS",
      "number": "H1234567890",
      "cost": 9.99,
      "state": "ready",
      "adjustment_total": 9.99,
      "additional_tax_total": 9.99,
      "promo_total": 9.99,
      "included_tax_total": 9.99,
      "pushed": "true",
      "fulfilled_by": "2026-01-01T00:00:00.000Z",
      "tracking_detail": null,
      "external_tracking_url": null,
      "label_url": null,
      "products": [
        {
          "affiliation": "Affiliation",
          "brand": "Brand",
          "line_item_id": "16207084552295",
          "name": "Product Name",
          "position": 1,
          "price": 219,
          "product_id": "7036464939671",
          "quantity": 1,
          "revenue": 219,
          "sku": "SKU123",
          "variant": "Variant Name",
          "variant_id": "40952658057847"
        }
      ],
      "address": {
        "name": "John Doe",
        "address1": "123 Fake St",
        "address2": null,
        "city": "Oak Lawn",
        "zipcode": "60532",
        "phone": "1234567890",
        "state_name": "IL",
        "company": null
      }
    }
  }
}
'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/reference/apis/shipment-shipped.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
